Get person limitations

This endpoint returns the limitations set for an employee to perform specific tasks.

GET /api/v1/business/{businessId}/employees/{employeeId}/locationLimitations/from/{yyyy-MM-dd}/to/{yyyy-MM-dd}

If the data included in the URL is correct, the response will contain the limitations set for the employee within the requested interval.

Response example

{
    "lag": 0,
    "locationLimitations": [
        {
            "id": "1810",
            "product": "0001-GENERAL",
            "from": "2025-09-30",
            "zone": "General",
            "location": "01"
        },
        {
            "id": "1019",
            "product": "0001-GENERAL",
            "from": "2025-10-15",
            "to": "2025-10-25",
            "zone": "General",
            "location": "02"
        }
    ]
}
Details
  • lag: number of days prior to the current date that are considered when processing the request.

  • locationLimitations: list of limitations defined for the employee. Each one contains the following data:

    • id: internal identifier of the limitation.

    • product: external identifier of the product or section.

    • from: start date of the limitation period in yyyy-MM-dd format.

    • to: end date of the limitation period in yyyy-MM-dd format. It may not appear if it has not been defined.

    • zone: external identifier of the zone.

    • location: external identifier of the task for which the limitation is set.

As shown in the example, the request returns the previously defined limitations set for the employee.

Considerations

If no limitations are defined for the employee in the given time interval, the request will return an empty array: "locationLimitations": [].

To visualize the limitations in the interface, the employee must already have the aptitude defined for that task.

Error codes

This endpoint does not return any error codes of its own beyond those described in common errors.

What is a location limitation?

What is a task? And what is an aptitude in a task?